import { FC } from 'react';
import { CheckBoxProps, InputMoneyProps, InputProps, RadioProps, SelectProps, SwitchProps, TextAreaProps } from '@components/Inputs';
type PropsFormInput = InputProps & {
    currentId: string;
    dependentId?: string;
};
type PropsFormTextArea = TextAreaProps & {
    currentId: string;
};
type PropsFormSelect = SelectProps & {
    currentId: string;
};
type PropsFormSelectByAnotherField = Omit<PropsFormSelect, 'selectOptions'> & {
    targetValue: string;
    fetchOptions: (data?: any) => Promise<Record<string, any>[]>;
};
type PropsCalcInput = InputMoneyProps & {
    currentId: string;
    exact?: boolean;
};
type PropsSwitchInput = SwitchProps & {
    currentId: string;
};
type PropsRadioInput = RadioProps & {
    currentId: string;
};
type PropsCheckBoxInput = CheckBoxProps & {
    currentId: string;
};
declare const _default: {
    InputFormCntx: FC<PropsFormInput>;
    SelectFormCntx: FC<PropsFormSelect>;
    TextAreaFormCntx: FC<PropsFormTextArea>;
    CalcInput: FC<PropsCalcInput>;
    SelectByAnotherField: FC<PropsFormSelectByAnotherField>;
    SwitchFormCntx: FC<PropsSwitchInput>;
    RadioFormCntx: FC<PropsRadioInput>;
    CheckBoxFormCntx: FC<PropsCheckBoxInput>;
    InputFormCntxDependentCheckbox: FC<PropsFormInput>;
    FormTableConceptosCntx: ({ headers, data }: {
        headers: import("react").ReactNode[];
        data: import("react").ReactNode[][];
    }) => import("react/jsx-runtime").JSX.Element;
};
export default _default;
